#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		 majver		%(echo %{version} | cut -d '.' -f1-2)
%define		 tclver		%(echo %{version} | cut -d '.' -f1-3)
#-----------------------------------------------------------------------------
Name		:	tk
Version		:	8.6.13
Release		:	14.4.0.0%{?dist}
Summary		:	The Tk package contains a TCL GUI Toolkit.
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	TCL
URL		:	https://www.tcl.tk/software/tcltk

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	xorg-libX11
BuildRequires	:	tcl		= %{tclver}
#-----------------------------------------------------------------------------
%description
Tk is a graphical user interface toolkit that takes developing desktop
applications to a higher level than conventional approaches. Tk is
the standard GUI not only for Tcl, but for many other dynamic languages,
and can produce rich, native applications that run unchanged across
Windows, Mac OS X, Linux and more. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc unix/README
%{_includedir}/*.h
%{_bindir}/wish%{majver}
%{_libdir}/%{name}%{majver}/*.tcl
%{_libdir}/%{name}%{majver}/demos/*
%{_libdir}/%{name}%{majver}/ttk/*.tcl
%{_libdir}/%{name}%{majver}/msgs/*.msg
%{_libdir}/%{name}%{majver}/images/README
%{_libdir}/%{name}%{majver}/images/*.gif
%{_libdir}/%{name}%{majver}/images/*.eps
%{_libdir}/%{name}%{majver}/tclIndex
%{_libdir}/%{name}%{majver}/tkAppInit.c
%{_libdir}/tkConfig.sh
%{_libdir}/lib%{name}*.so
%{_libdir}/lib%{name}stub%{majver}.a
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/mann/*.n.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q -n %{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

	
pushd unix

autoreconf -f -i
./configure							\
        --prefix=%{_prefix}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--exec-prefix=%{_exec_prefix}				\
	--sysconfdir=%{_sysconfdir}				\
	--sbindir=%{_sbindir}					\
	--infodir=%{_infodir}					\
	--docdir=%{_defaultdocdir}/%{name}-%{version}		\
	--enable-shared						\
	--enable-64bit						\

%{__make} %{_smp_mflags}

sed -i								\
  -e "s@^\(TK_SRC_DIR='\).*@\1%{_sysconfdir}'@"			\
  -e "/TK_B/s@='\(-L\)\?.*unix@='\1%{_libdir}@"			\
  tkConfig.sh

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make} -C unix DESTDIR=%{buildroot} install
%{__make} -C unix DESTDIR=%{buildroot} install-private-headers

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-type f -exec chmod u+w {} \;

#-----------------------------------------------------------------------------
%changelog
